## alberta 3.1.1

=== doc/Makefile ===
BOOK_FILES = \
 adapt-concept.tex \
 bas-concept.tex \
 concept.tex \
 defs.tex \
 dof-concept.tex \
 mesh-concept.tex \
 preface.tex \
 rc-concept.tex \
 submesh-concept.tex

MAN_FILES =\
 defs.tex\
 addon-tools.tex \
 adapt-tools.tex \
 alberta-book.tex \
 alberta-man.tex \
 assemble-tools.tex \
 bas-impl.tex \
 chain-impl.tex \
 concept.tex \
 defs.tex \
 dof-impl.tex \
 ellipt.tex \
 est-tools.tex \
 eval-tools.tex \
 examples.tex \
 init-element-impl.tex \
 files.tex \
 graph-tools.tex \
 heat.tex \
 impl.tex \
 intro.tex \
 mesh-impl.tex \
 nonlin.tex \
 param-impl.tex \
 periodic-impl.tex \
 preface.tex \
 rc-impl.tex \
 solve-tools.tex \
 splitindex.tex \
 struct-func.tex \
 submesh-impl.tex \
 tools.tex \
 traverse-impl.tex \
 util-impl.tex

default: all

all: alberta-man alberta-book

manual: alberta-man

book: alberta-book

alberta-man: $(MAN_FILES) $(BOOK_FILES)
	pdflatex alberta-man.tex
	bibtex alberta-man
	tex \\def\\idx{alberta-man}\\input splitindex
	makeindex alberta-man-idx.idx
	makeindex alberta-man-cdx.idx
	makeindex alberta-man-ddx.idx
	makeindex alberta-man-fdx.idx
	makeindex alberta-man-mdx.idx
	pdflatex alberta-man.tex
	pdflatex alberta-man.tex

alberta-book: $(MAN_FILES) $(BOOK_FILES)
	pdflatex alberta-book.tex
	bibtex alberta-book
	tex \\def\\idx{alberta-book}\\input splitindex
	makeindex alberta-book-idx.idx
	pdflatex alberta-book.tex
	pdflatex alberta-book.tex

clean:
	find . \( -name \*~ -o -name \*.out -o -name \*.aux -o -name \*.pdf -o -name \*.log -o -name \*.ilg -o -name \*.blg \) -exec /bin/rm -f {} \;

auxclean: clean
	find . \( -name \*.bbl -o -name \*.idx  -o -name \*.toc\
 -o -name \*.bbl -o -name \*.idx -o -name \*.ind -o -name \*.lof\
 -o -name \*.lot -o -name \*.\*pk -o -name \*.tfm \) -exec /bin/rm -f {} \;

vclean: auxclean
	rm -f *.pdf

=== add_ons/albertasystems/DX/2d/Makefile ===
#!make

all: objs

DEBUG=1
ALBERTA_VERSION=2.0

# Compiler options
include ../../Make.opt

########################################################################
#   DFLAGS: DIM, DIM_OF_WORLD                                          #
########################################################################
DIM = 2
DIM_OF_WORLD = 2
NEIGH_IN_EL = 0

# get installation details

include ../../AlbertaNum/Makefile.PATHS
ifeq ($(ALBERTA_VERSION), 2.0)
  include $(prefix)/libexec/alberta-20070801-1956/Makefile.alberta
#  include $(prefix)/share/alberta2/Makefile.alberta
# alberta 1 kompatibilitt
  DFLAGS += -DDIM=$(DIM) -DALBERTA_VER=2
else
  include $(ALBERTA_INCLUDE_PATH)/Makefile.alberta
endif

# add netcdf PATHS
LDFLAGS += $(NCDFFLAGS)
########################################################################
#  modify default settings -- always use CXX
LD = g++

%.o: %.c
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(NCDF_INCLUDE_PATH) -I$(ALBERTA_INCLUDE_PATH) -c $<
%.o: %.cc
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(NCDF_INCLUDE_PATH) -I$(ALBERTA_INCLUDE_PATH) -c $<

########################################################################
#   set virtual path                                                   #
########################################################################
VPATH = ../Common

prgs:

objs: dxexport.o
clean:
	rm -f *.o core*

.PHONY: all prgs objs clean

########################################################################
# semi-automatically generated by g++ -MM			       #
########################################################################

=== add_ons/albertasystems/Elast/2d/Makefile ===
#!make

default: prgs
ALBERTA_VERSION=2.0
DEBUG=1
ALBERTA_DEBUG=1

# Compiler options
include ../../Make.opt

########################################################################
#   DFLAGS: DIM, DIM_OF_WORLD                                          #
########################################################################
DIM = 2
DIM_OF_WORLD = 2
NEIGH_IN_EL = 0
ifndef USE_NETCDF
USE_NCDF = 1
endif
#fuer DX, change here if not installed. Construction serves my local purposes.
########################################################################
#	get installation details				       #
########################################################################
include ../../AlbertaNum/Makefile.PATHS
#ifeq ($(ALBERTA_VERSION), 2.0)
  include $(prefix_mf)/Makefile.alberta
# alberta 1 kompatibilitt
#else
#  include $(ALBERTA_INCLUDE_PATH)/Makefile.alberta
#endif
########################################################################
#  modify default settings -- always use CXX
ifdef DMALLOC
CFLAGS +=-DDMALLOC
LDFLAGS +=-L/usr/local/lib -ldmallocxx -ldmalloc
endif
ifdef USE_NCDF
LDFLAGS += $(NCDFFLAGS)
endif
DFLAGS += -DDIM=$(DIM) -DUSE_NCDF=$(USE_NCDF)

#LINK = $(LIBTOOL) --mode=link --tag=$(CC) g++ $(CFLAGS) $(LDFLAGS) -o $@
LD =g++
%.o: %.c
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(ALBERTA_INCLUDE_PATH) \
	 -I$(NUM_INCLUDE_PATH) -c $<
%.o: %.cc
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(ALBERTA_INCLUDE_PATH) \
	 -I$(NUM_INCLUDE_PATH)  -I$(HEAT_INCLUDE_PATH) \
	  -I$(PHASE_INCLUDE_PATH)  -I$(DX_INCLUDE_PATH) -c $<

########################################################################
#   set virtual path                                                   #
########################################################################
VPATH = ../Common
########################################################################

ANUMLIBS = -L../../AlbertaNum/2d -lAlbertaNum2d


ELAST_OFILES = elast_test.o elast_problem.o  th_strain_rhs.o \
		 elast.o  
		 
HEAT_OFILES = $(HEAT_OBJ_PATH)/heat.o $(HEAT_OBJ_PATH)/heat_problem.o

ifdef USE_NCDF
DX_OFILES   =  $(DX_OBJ_PATH)/dxexport.o 
endif

.PHONY: all prgs objs clean objs_num realclean

prgs:  numlibs objs elast_test  

objs: $(ELAST_OFILES)

all: objs prgs 

realclean:
	make -C $(NUM_OBJ_PATH) clean
	make -C $(HEAT_OBJ_PATH) clean
	make -C $(DX_OBJ_PATH) clean
	make clean

#	make -C $(PHASE_OBJ_PATH) clean
rebuild:
	make -C $(NUM_OBJ_PATH) clean
	make -C $(HEAT_OBJ_PATH) clean
	make -C $(DX_OBJ_PATH) clean
	make clean
	make

numlibs: 
	make -C $(NUM_OBJ_PATH) libs

clean:
	rm -f *.o

elast_test:  $(ELAST_OFILES)  $(PHASE_OFILES)  $(HEAT_OFILES) $(DX_OFILES)
	$(LINK) $^ $(ANUMLIBS) $(LIBS)

$(HEAT_OFILES): heatobjs
$(PHASE_OFILES): phaseobjs
$(DX_OFILES):  dxobjs



heatobjs:
	make -C $(HEAT_OBJ_PATH) objs

phaseobjs:
	make -C $(PHASE_OBJ_PATH) objs

dxobjs:
	make -C $(DX_OBJ_PATH) objs

########################################################################
# semi-automatically generated by g++ -MM			       #
########################################################################

#demographics.o: demographics.c
#demoheat.o: demoheat.c demoheat.h problem.cc
#ellipt.o: ellipt.c
#nlprob.o: nlprob.c nonlin.h
#nlsolve.o: nlsolve.c nonlin.h
#nonlin.o: nonlin.c nonlin.h
#heat.o: heat.cc $(NUM_PATH)/newalberta.hh \
#  $(NUM_PATH)/master.hh \
#  $(NUM_PATH)/build_diff.hh \
#  $(NUM_PATH)/traverse_r_class.hh \
#  $(NUM_PATH)/parab_est.hh $(NUM_PATH)/error_c.h
#heat_problem.o: heat_problem.cc $(NUM_PATH)/newalberta.hh heat_problem.hh $(NUM_PATH)/operator_parts.hh
#obj_heat.o: obj_heat.cc $(NUM_PATH)/newalberta.hh \
#  $(NUM_PATH)/build_diff.hh \
#  $(NUM_PATH)/traverse_r_class.hh \
#  $(NUM_PATH)/parab_est.hh \
#  $(NUM_PATH)/operator_parts.hh demoheat.h heat_problem.hh \
#  problem.cc $(NUM_PATH)/error_c.h

=== add_ons/albertasystems/Heat/2d/Makefile ===
#!make

default: prgs
DEBUG=1
ALBERTA_VERSION=2.0
ALBERTA_DEBUG=1

# Compiler options
include ../../Make.opt

########################################################################
#   DFLAGS: DIM, DIM_OF_WORLD                                          #
########################################################################
DIM = 2
DIM_OF_WORLD = 2
NEIGH_IN_EL = 0
ifndef USE_NETCDF
USE_NCDF = 1
endif
#fuer DX, change here if not installed. Construction serves my local purposes.
########################################################################
#	get installation details				       #
########################################################################
include ../../AlbertaNum/Makefile.PATHS
ifeq ($(ALBERTA_VERSION), 2.0)
  include $(prefix_mf)/Makefile.alberta
# alberta 1 kompatibilitt
  DFLAGS += -DDIM=$(DIM) -DALBERTA_VER=2
else
  include $(ALBERTA_INCLUDE_PATH)/Makefile.alberta
endif
########################################################################
#netcdf support
ifdef USE_NCDF
LDFLAGS += $(NCDFFLAGS)
endif
DFLAGS += -DDIM=$(DIM) -DUSE_NCDF=$(USE_NCDF)
#  modify default settings -- always use CXX
#LINK = $(LIBTOOL) --mode=link --tag=$(CC) g++ $(CFLAGS) $(LDFLAGS) -o $@
LD = g++
%.o: %.c
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(ALBERTA_INCLUDE_PATH) \
	 -I$(NUM_INCLUDE_PATH)  -I$(DX_INCLUDE_PATH) -c $<
%.o: %.cc
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(ALBERTA_INCLUDE_PATH) \
	 -I$(NUM_INCLUDE_PATH) -I$(DX_INCLUDE_PATH)  -c $<

estimator.o: estimator.c
	$(CC) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(ALBERTA_INCLUDE_PATH) \
	 -I$(NUM_INCLUDE_PATH)  -I$(DX_INCLUDE_PATH) -c $<
########################################################################
#   set virtual path                                                   #
########################################################################
VPATH = ../Common
########################################################################
#NUM_OFILES =	$(NUM_OBJ_PATH)/build_stat.o\
#		$(NUM_OBJ_PATH)/build_diff.o\
#		$(NUM_OBJ_PATH)/traverse.o \
#		$(NUM_OBJ_PATH)/prototype_fem_elfunc.o \
#		$(NUM_OBJ_PATH)/est.o \
#		$(NUM_OBJ_PATH)/error_c.o   \
#		$(NUM_OBJ_PATH)/ellipt_est.o \
#		$(NUM_OBJ_PATH)/parab_est.o \
#		$(NUM_OBJ_PATH)/sys_est.o \
#		$(NUM_OBJ_PATH)/fem_base.o \
#		$(NUM_OBJ_PATH)/adapt.o $(NUM_OBJ_PATH)/operator_parts.o \
#	        $(NUM_OBJ_PATH)/alloc.o \
#	        $(NUM_OBJ_PATH)/msg.o \
#	        $(NUM_OBJ_PATH)/master.o

ANUMLIBS = -L../../AlbertaNum/2d -lAlbertaNum2d

ifdef USE_NCDF
DX_OFILES   =  $(DX_OBJ_PATH)/dxexport.o 
endif

.PHONY: all prgs objs clean objs_num

prgs: numlibs objs demoheat obj_heat 

objs: demographics.o demoheat.o heat_problem.o heat.o obj_heat.o

all: prgs objs

realclean:
	make -C $(NUM_OBJ_PATH) clean
	make -C $(DX_OBJ_PATH) clean
	make clean

rebuild:
	make -C $(NUM_OBJ_PATH) clean
	make -C $(DX_OBJ_PATH) clean
	make clean
	make


numlibs: 
	make -C $(NUM_OBJ_PATH) libs

clean:
	rm -f *.o

demoheat: demoheat.o demographics.o estimator.o  $(DX_OFILES)
	$(LINK) $^ $(LIBS)

#wie erreiche ich sinnvoll abhaengigkeit von AlbertaNum2d?
obj_heat: obj_heat.o heat.o heat_problem.o demographics.o  $(DX_OFILES)
	$(LINK)  $^ $(ANUMLIBS) $(LIBS) 

ifdef USE_NCDF
$(DX_OFILES):  dxobjs

dxobjs:
	make -C $(DX_OBJ_PATH) objs
endif
########################################################################
# semi-automatically generated by g++ -MM			       #
########################################################################

## alberta 3.0.1

=== debian/changelog ===
alberta (3.0.1-2) unstable; urgency=medium

  * Drop transitional package libalberta2-dev. (Closes: #878199)
  * Switch to automatic -dbgsym packages and drop libalberta-dbg.
  * debian/control: Use `Rules-Requires-Root: no`.
  * debian/control: Update Vcs-* fields for move to salsa.d.o.
  * Bumped Standards-Version to 4.4.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Oct 2019 11:58:26 +0200

alberta (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch fix-pkg-config.diff: applied upstream.
  * debian/copyright: Drop note about old license in demo/COPYING.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 01 Aug 2014 00:30:26 +0200

alberta (3.0.0-3) unstable; urgency=medium

  * Disable stack protector when building with clang. Otherwise the shared
    library end with an undefined reference to __stack_chk_guard.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 13 Jun 2014 18:24:56 +0200

alberta (3.0.0-2) unstable; urgency=medium

  * Use clang on PowerPC. gcc cannot fold IBM's 128bit long doubles that
    are used on PowerPC and fails to compile statements like
        static const double a = 1.0L / 3.0L;
    Reference: <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=26374>
  * debian/rules: Enable parallel build.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 13 May 2014 23:32:22 +0200

alberta (3.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #742013)
  * New maintainer. (Closes: #731839)
  * Source package renamed to alberta (from libalberta2).
  * Packaging redone from scratch.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 23 Apr 2014 21:42:15 +0200

=== debian/control ===
Source: alberta
Section: libs
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/alberta
Vcs-Git: https://salsa.debian.org/science-team/alberta.git
Homepage: http://www.alberta-fem.de/
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.28),
 clang [powerpc ppc64 ppc64el]
Rules-Requires-Root: no

Package: libalberta-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libalberta4 (= ${binary:Version})
Breaks: libalberta2-dev (<< 3)
Replaces: libalberta2-dev (<< 3)
Description: adaptive finite element library (development files)
 ALBERTA is an adaptive finite element library for solving partial
 differential equations (PDEs).
 .
 It offers a hierarchical mesh and methods for 1d, 2d and 3d stationary
 as well as time dependent problems. It is written in C with speed and
 flexibility in mind.
 .
 This package contains the development files.

Package: libalberta4
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: adaptive finite element library (library)
 ALBERTA is an adaptive finite element library for solving partial
 differential equations (PDEs).
 .
 It offers a hierarchical mesh and methods for 1d, 2d and 3d stationary
 as well as time dependent problems. It is written in C with speed and
 flexibility in mind.
 .
 This package contains the shared library.

=== debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbgsym-migration='libalberta-dbg (<< 3.0.1-2~)'

=== debian/watch ===
version=3
http://www.alberta-fem.de/download.html .*/alberta-(.+)\.tar\.(?:xz|bz2|gz)

## alberta 3.0.3

=== debian/changelog ===
alberta (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream: Uni Stuttgart's GitLab
  * Update to debhelper-compat 12

  [ Tiago Stürmer Daitx ]
  * Fix FTBFS (Closes: #980015):
    - debian/control: add libtirpc-dev to bdeps.
    - debian/patches/001-autoconf-check-libtirpc.patch: check for
      libtirpc in configure.ac.
    - debian/rules: include tirpc in cflags.

 -- Bastian Germann <bage@debian.org>  Fri, 22 Oct 2021 13:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Vcs-Browser: https://salsa.debian.org/science-team/alberta
 Vcs-Git: https://salsa.debian.org/science-team/alberta.git
 Homepage: http://www.alberta-fem.de/
-Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.28),
- clang [powerpc ppc64 ppc64el]
+Build-Depends: debhelper-compat (= 12), pkg-config (>= 0.28),
+ clang [powerpc ppc64 ppc64el], libtirpc-dev
 Rules-Requires-Root: no
 
 Package: libalberta-dev

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tirpc
 
 CONFIGURE_FLAGS := \
 	--disable-fem-toolbox \
@@ -16,7 +18,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)

=== debian/watch ===
version=4
https://gitlab.mathematik.uni-stuttgart.de/ians-nmh/alberta/alberta3/-/tags?sort=updated_desc .*/alberta3-releases-([\d\.]+)\.tar\.(?:xz|bz2|gz)

## alberta 3.1.1

=== debian/changelog ===
alberta (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Release to unstable to start transition
  * Backported removal of memory statistics to fix hurd builds.
  * New upstream release
  * d/watch: Reflect relocation of repo to gitlab.com
  * d/control: Bumped Standards-Verion to 4.7.0
  * d/rules: Use autoreconf with shipped script to built from git tarball
  * d/patches: Drop patches that are not relevant for upstream anymore.
  * d/copright: Updated copyright holders
  * Renamed library to reflect bumped soversion 5.0.0.
  * Added Markus as additional uploader with consent of Ansgar.
  * Dropped debian/libalberta5.lintian-overrides
  * Include architecture.mk instead of setting DEB_HOST_ARCH

  [ Pierre Gruet ]
  * Adding the text of the LPPL license in d/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 20 Feb 2025 14:28:54 +0100

alberta (3.1.1-2) experimental; urgency=medium

  * Backported removal of memory statistics to fix hurd builds.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 17 Feb 2025 09:10:51 +0100

alberta (3.1.1-1) experimental; urgency=medium

  * New upstream release
  * d/watch: Reflect relocation of repo to gitlab.com
  * d/control: Bumped Standards-Verion to 4.7.0
  * d/rules: Use autoreconf with shipped script to built from git tarball
  * d/patches: Drop patches that are not relevant for upstream anymore.
  * d/copright: Updated copyright holders
  * Renamed library to reflect bumped soversion 5.0.0.
  * Added Markus as additional uploader with consent of Ansgar.
  * Dropped debian/libalberta5.lintian-overrides
  * Include architecture.mk instead of setting DEB_HOST_ARCH

  [ Pierre Gruet ]
  * Adding the text of the LPPL license in d/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Oct 2024 23:53:18 +0200

alberta (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS (Closes: #1060076)
    - Ported two upstream patches to Debian
  * Use -gdwarf-4 compile flags to prevent failing builds with
    clang, e.g. on ppc64el (dwz "Unknown debugging section .debug_addr")

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Mar 2024 20:18:20 +0100

alberta (3.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061883

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:40:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: alberta
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/alberta
 Vcs-Git: https://salsa.debian.org/science-team/alberta.git
 Homepage: http://www.alberta-fem.de/
-Build-Depends: debhelper-compat (= 12), pkg-config (>= 0.28),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), pkgconf,
  clang [powerpc ppc64 ppc64el], libtirpc-dev
 Rules-Requires-Root: no
 
@@ -15,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libalberta4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalberta5 (= ${binary:Version})
 Breaks: libalberta2-dev (<< 3)
 Replaces: libalberta2-dev (<< 3)
 Description: adaptive finite element library (development files)
@@ -28,7 +28,7 @@
  .
  This package contains the development files.
 
-Package: libalberta4
+Package: libalberta5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tirpc
 
@@ -11,14 +13,24 @@
 	--without-grape \
 	--without-silo
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
   export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
   CONFIGURE_FLAGS += CC=clang
+
+# Force dwarf version 4. If compiled with clang (e.g. ppc64el) building failes
+  # otherwise with
+  # dwz: debian/libalberta4t64/usr/lib/powerpc64le-linux-gnu/libalberta_1d.so.4.0.0: Unknown debugging section .debug_addr
+  DEB_CFLAGS_MAINT_APPEND += -gdwarf-4
 endif
 
+
 %:
-	dh $@
+	dh $@ --with-autoreconf
+
+# Make autoreconf call the script fromsvnreconf.sh that will (re-)create all automake/autoconf files and create some additional
+# needed directories.
+override_dh_autoreconf:
+	dh_autoreconf ./fromsvnreconf.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*?/@PACKAGE@3-v@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://gitlab.com/alberta-fem/alberta3/tags?sort=updated_desc -/archive/v?\d[\d.]+/alberta3-v@ANY_VERSION@@ARCHIVE_EXT@
